<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XSrst StructType
 * @subpackage Structs
 */
class XSrst extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $name;
    /**
     * The port
     * Meta information extracted from the WSDL
     * - default: 2000
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $port;
    /**
     * The ipAddress
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $ipAddress;
    /**
     * The SipPort
     * Meta information extracted from the WSDL
     * - default: 5060
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $SipPort;
    /**
     * The SipNetwork
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * @var string
     */
    public $SipNetwork;
    /**
     * The isSecure
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - nillable: false
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $isSecure;
    /**
     * Constructor method for XSrst
     * @uses XSrst::setName()
     * @uses XSrst::setPort()
     * @uses XSrst::setIpAddress()
     * @uses XSrst::setSipPort()
     * @uses XSrst::setSipNetwork()
     * @uses XSrst::setIsSecure()
     * @param string $name
     * @param string $port
     * @param string $ipAddress
     * @param string $sipPort
     * @param string $sipNetwork
     * @param string $isSecure
     */
    public function __construct($name = null, $port = '2000', $ipAddress = null, $sipPort = '5060', $sipNetwork = null, $isSecure = null)
    {
        $this
            ->setName($name)
            ->setPort($port)
            ->setIpAddress($ipAddress)
            ->setSipPort($sipPort)
            ->setSipNetwork($sipNetwork)
            ->setIsSecure($isSecure);
    }
    /**
     * Get name value
     * @return string
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XSrst
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get port value
     * @return string
     */
    public function getPort()
    {
        return $this->port;
    }
    /**
     * Set port value
     * @param string $port
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XSrst
     */
    public function setPort($port = '2000')
    {
        $this->port = $port;
        return $this;
    }
    /**
     * Get ipAddress value
     * @return string
     */
    public function getIpAddress()
    {
        return $this->ipAddress;
    }
    /**
     * Set ipAddress value
     * @param string $ipAddress
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XSrst
     */
    public function setIpAddress($ipAddress = null)
    {
        $this->ipAddress = $ipAddress;
        return $this;
    }
    /**
     * Get SipPort value
     * @return string
     */
    public function getSipPort()
    {
        return $this->SipPort;
    }
    /**
     * Set SipPort value
     * @param string $sipPort
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XSrst
     */
    public function setSipPort($sipPort = '5060')
    {
        $this->SipPort = $sipPort;
        return $this;
    }
    /**
     * Get SipNetwork value
     * @return string|null
     */
    public function getSipNetwork()
    {
        return $this->SipNetwork;
    }
    /**
     * Set SipNetwork value
     * @param string $sipNetwork
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XSrst
     */
    public function setSipNetwork($sipNetwork = null)
    {
        $this->SipNetwork = $sipNetwork;
        return $this;
    }
    /**
     * Get isSecure value
     * @return string|null
     */
    public function getIsSecure()
    {
        return $this->isSecure;
    }
    /**
     * Set isSecure value
     * @param string $isSecure
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XSrst
     */
    public function setIsSecure($isSecure = null)
    {
        $this->isSecure = $isSecure;
        return $this;
    }
}
